/* ********************************************************************** */
/*                            UPDATE 2.01.01_001                          */
/* ---------------------------------------------------------------------- */

-- eSanté code description changed (version 0.10)
UPDATE esante.code_description
SET display_name = 'Autre'
WHERE language = 'fr'
AND code_id = (
  SELECT c.id
  FROM esante.code_type t,
       esante.code c
  WHERE c.code_type_id = t.id
  AND c.code = 'OTH'
  AND t.coding_scheme = '1.3.182.10.5.1'
);


-- delete all code descriptions, of the type 'typeCode' (1.3.182.10.10.1)
DELETE FROM esante.code_description
WHERE code_id IN (
  SELECT c.id FROM esante.code c, esante.code_type t
  WHERE c.code_type_id = t.id
  AND t.coding_scheme = '1.3.182.10.10.1'
);
-- delete all codes, of the type 'typeCode' (1.3.182.10.10.1)
DELETE FROM esante.code
WHERE code_type_id IN (
  SELECT id FROM esante.code_type
  WHERE coding_scheme = '1.3.182.10.10.1'
);

-- recreate the typeCodes
SELECT esante.insert_code_description(E'51855-5', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Patient note', E'Expression du titulaire', E'Patientennotiz', E'A patient authored note is generated by a patient, or a patient agent (proxy), acting in a non-clinical role to provide clinically relevant information. The information within the note is used to support planned or unplanned health care services. \n\nThis document gives healthcare providers and others involved in a person''s care information which the patient considers essential input during care delivery and coordination. This document enables patients and their agents to contribute to the continuity of care. The patient agent may not have a legally defined relationship with the patient (e.g. a close friend).\n\nBecause a patient authored note is generated by a person acting as a non-clinician, this document may not be a complete medical summary and should be considered in context with other information routinely collected by clinicians during care delivery and coordination. \n\nThis general class of patient authored notes includes information that is interoperable with data defined for clinician-generated documents. Other more specific classes of patient authored notes may include more tightly defined content.\n\nThis document may be generated from a patient-, clinician-, or payer-controlled source system.', null, null, E'10');
SELECT esante.insert_code_description(E'60591-5', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Patient summary ', E'Résumé patient', E'Patientendossier', E'From epSOS. This document is a concise clinical document that provides an electronic, pre-defined patient health data set applicable both for unexpected, as well as expected (planned), health care contact. This document may be either the product of a medical act or an automatic excerpt from national/regional EHRs.\n\nA Patient Summary gives a healthcare provider the essential information needed for health care coordination and, in cases of an unexpected need or when the patient consults a provider other than his regular contact person (e.g. the general practitioner he/she is registered with), this document enables continuity of care. \n\nBecause it is meant to be a summary, this document might not include a detailed medical history, details on clinical conditions or a full list of all prescriptions and dispensed medicines.', null, null, E'15');
SELECT esante.insert_code_description(E'47045-0', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Study report', E'Rapports médicaux', E'Ärztliche Gutachten', E'Document that is generated in response to a request.', null, null, E'20');
SELECT esante.insert_code_description(E'DT-20001', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Medical certificates', E'Certificats médicaux', E'Medizinische Zeugnisse', E'Medical certificates', null, null, E'20');
SELECT esante.insert_code_description(E'60593-1', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Medication dispensed, extended document', E'Dispensation médicamenteuse', E'Dispensation von Medikamenten (erweitert)', E'Codes from epSOS. This medication dispensed information collection includes information useful for describing the dispensed drugs and the supply act (who did what and when), the context where the document was produced, and additional administrative information if requested. Some of the additional information may include specification of the kinds of exemptions a patient may have (e.g. older than a specified age, pregnant, etc), or specification of financial information (e.g. the amount of co-payment).', null, null, E'25');
SELECT esante.insert_code_description(E'34117-2', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'History and physical note ', E'Antécédents médicaux et chirurgicaux', E'Medizinische Vorgeschichte', E'History and physical (H&P) note is a medical report that documents the current and past conditions of the patient. It contains essential information that helps determine an individual''s health status.', null, null, E'35');
SELECT esante.insert_code_description(E'8670-2', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'History of family member diseases ', E'Antécédents familiaux', E'Familienvorgeschichte', E'History of family member diseases ', null, null, E'35');
SELECT esante.insert_code_description(E'48765-2', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Allergies &or adverse reactions', E'Allergies intolérances reconnues', E'Allergien anerkannte Unduldsamkeiten', E'Contains a list and description of any allergies or adverse reactions pertinent to current or past medical history. At a minimum this section should contain currently active and any relevant historical allergies and adverse reactions.', null, null, E'35');
SELECT esante.insert_code_description(E'46264-8', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'History of medical device use ', E'Prothèses et appareillages', E'Prothesen und Apparaturen', E'History of medical device (medical equipment) use defines a patient''s implanted and external medical devices and equipment that their health status depends on, as well as any pertinent equipment or device history. This term is also used to itemize any pertinent current or historical durable medical equipment (DME) used to help maintain the patient''s health status. All pertinent equipment relevant to the diagnosis, care, and treatment of a patient should be included.', null, null, E'35');
SELECT esante.insert_code_description(E'70004-7', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Diagnostic study note ', E'CR d''actes diagnostiques', E'Berichte diagnostischer Urkunden(Handlungen)', E'Diagnostic study note ', null, null, E'35');
SELECT esante.insert_code_description(E'47519-4 ', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'History of procedures', E'CR d''actes thérapeutiques', E'Berichte therapeutischer Urkunden(Handlungen)', E'This section defines all interventional, surgical, diagnostic, or therapeutic procedures or treatments pertinent to the patient historically and at the time the document is generated.', null, null, E'35');
SELECT esante.insert_code_description(E'18842-5', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Discharge summarization note', E'CR de séjours hospitaliers et lettres de sorties', E'Entlassungsbericht', E'Discharge summary is a synopsis of a patient''s admission to a hospital; it provides pertinent information for the continuation of care following discharge. The summary may include the reason for hospitalization, procedures performed, the care, treatment and services provided, the patient''s condition and disposition at discharge, information provided to the patient and family, and provisions for follow-up care.', null, null, E'35');
SELECT esante.insert_code_description(E'59258-4', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Emergency department discharge summary', E'Résumé de Passage aux Urgences', null, E'Emergency department discharge summary', null, null, E'35');
SELECT esante.insert_code_description(E'DT-40001', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Profession and levels of study', E'Profession et niveaux d''étude', E'Beruf und Niveaus von Studium', E'Profession and levels of study', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40002', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Health insurance fund', E'Caisse de Maladie', E'Krankenkasse', E'Health insurance fund', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40003', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Medical surgical  or other additional mutual insurance company', E'Caisse médico-chirurgicale ou autre mutuelle supplémentaire', E'Ärztliche chirurgische Kasse oder andere zusätzliche Versicherung auf Gegenseitigkeit', E'Medical surgical  or other additional mutual insurance company', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40004', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Accommodation', E'Logement', E'Unterkunft', E'Accommodation', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40005', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Social further information', E'Renseignements complémentaires sociaux', E'Soziale ergänzende Informationen', E'Social further information', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40006', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Long-term care insurance ', E'Assurance Dépendance ', E'Versicherung(Sicherheit) Abhängigkeit ', E'Long-term care insurance ', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40007', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Supervision / guardianship legal Protection', E'Tutelle/Curatelle Protection juridique', E'Vormundschaft / Vormundschaft Gerichtsschutz', E'Supervision / guardianship legal Protection', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40008', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Informal help people / third helping', E'Entourage/Aidant informel/Tiers aidant/Accompagnateur DSP', E'Der informelle / dritte helfende ', E'Informal help people / third helping', null, null, E'40');
SELECT esante.insert_code_description(E'DT-40009', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Pad palliative care', E'Carnet soins palliatifs', E'Notizbuch palliative Versorgungen', E'Pad palliative care', null, null, E'40');
SELECT esante.insert_code_description(E'18748-4', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Diagnostic Imaging Report', E'Images radiologiques ou autres imageries médicales', E'Röntgenbilder oder andere medizinischen Bilderfabrikationen', E'Diagnostic Imaging Report (DIR) contains a consulting specialist''s interpretation of image data. It conveys the interpretation to the referring (ordering) physician and is for use in Radiology, Endoscopy, Cardiology, and other imaging specialties.', null, null, E'45');
SELECT esante.insert_code_description(E'11502-2', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Laboratory report total', E'Résultats d''examens biologiques', E'Laborbefund', E'Laboratory report total', null, null, E'50');
SELECT esante.insert_code_description(E'51898-5', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Risk factors ', E'Facteurs de risques individuels', E'Eigene Risikofaktoren', E'This is a general risk factors document for data about a patient. Originally created (but not limited in use) for HAI reporting, where the information recorded in the Risk Factors section varies according to Report type. Devices, procedures, other factors associated with risk.', null, null, E'55');
SELECT esante.insert_code_description(E'28570-0', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Procedure note', E'CR d''actes à visée préventive', E'Berichte diagnostischer und therapeutischer Urkunden(Handlungen) in vorbeugendem Plan', E'Procedure note is a broad term that encompasses many specific types of non-operative procedures including interventional cardiology, interventional radiology, gastrointestinal endoscopy, osteopathic manipulation, and many other specialty fields. Procedure Notes are differentiated from Operative Notes in that the procedures documented do not involve incision or excision as the primary act. The Procedure Note is created immediately following a non-operative procedure and records the indications for the procedure and, when applicable, post-procedure diagnosis, pertinent events of the procedure, and the patient’s tolerance of the procedure.', null, null, E'55');
SELECT esante.insert_code_description(E'DT-55001', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Prescribed or administered preventive treatments(processings)', E'Traitements préventifs prescrits ou administrés', E'Vorgeschriebene oder verwaltete(verabreichte) Präventivbehandlungen(Präventivverarbeitungen)', E'Prescribed or administered preventive treatments(processings)', null, null, E'55');
SELECT esante.insert_code_description(E'34745-0', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Nurse Discharge Summary', E'Résumé des soins / Fiche de liaison de soins', E'Entlassungsbericht pflegerisch', E'Discharge summary is a synopsis of a patient''s admission to a hospital; it provides pertinent information for the continuation of care following discharge. The summary may include the reason for hospitalization, procedures performed, the care, treatment and services provided, the patient''s condition and disposition at discharge, information provided to the patient and family, and provisions for follow-up care.', null, null, E'60');
SELECT esante.insert_code_description(E'28636-9', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Initial evaluation note ', E'Bilan d''autonomie', E'Bilanz von Autonomie', E'Initial evaluation note ', null, null, E'60');
SELECT esante.insert_code_description(E'47420-5', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Functional status assessment note ', E'Bilan fonctionnel', E'Funktionale Bilanz', E'Functional status assessment describes the patient''s status of normal functioning at the time a care record was created. Functional statuses include information regarding the patient relative to ambulatory ability, mental status or competency, activities of daily living (ADLs) (i.e. bathing, dressing, feeding, grooming), home/living situation having an effect on the health status of the patient, ability to care for self, social activity (i.e. issues with social cognition, participation with friends and acquaintances other than family members), occupation activity (i.e. activities partly or directly related to working), housework or volunteering, family and home responsibilities or activities related to home and family, communication ability (i.e. issues with speech, writing or cognition required for communication), and perception, including sight, hearing, taste, skin sensation, kinesthetic sense, proprioception, or balance.', null, null, E'60');
SELECT esante.insert_code_description(E'DT-60001', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Prescribed nursing treatments', E'Traitements soignants prescrits', E'Vorgeschriebene Pflegebehandlungen', E'Prescribed nursing treatments', null, null, E'60');
SELECT esante.insert_code_description(E'56447-6', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Plan of care note ', E'Suivi de soins et actes pluridisciplinaires', E'Versorgungsbetreuung und multidisziplinäre Urkunden(Handlungen)', E'A document containing the (proposed) treatment plan for a patient. The purpose of this document is to inform the patient and other clinicians (therapists, etc) of the planned treatment.', null, null, E'60');
SELECT esante.insert_code_description(E'DT-60002', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Protocol of care relative to the chronic affections', E'Protocole de soins relatifs aux affections chroniques', E'Versorgungsprotokoll, der chronischen Zuneigungen bezüglich', E'Protocol of care relative to the chronic affections', null, null, E'60');
SELECT esante.insert_code_description(E'34895-3', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Education note ', E'Education', E'Erziehung', E'Education note ', null, null, E'60');
SELECT esante.insert_code_description(E'57833-6', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Prescription for medication', E'Traitements médicamenteux', E'Verschreibung von Medikamenten', E'Prescription for medication. Document used to prescribe drugs (Note: it is the document, not the medication).', null, null, E'65');
SELECT esante.insert_code_description(E'57828-6', E'1.3.182.10.10.1', E'2.16.840.1.113883.6.1', E'Prescription list ', E'Traitements médicaux prescrits', E'Vorgeschriebene medizinische Behandlungen(Verarbeitungen)', E'A document (or section) including a list of all prescriptions made for a patient (medications, services, admissions, equipment, etc.).', null, null, E'65');
SELECT esante.insert_code_description(E'DT-65001', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Therapeutic plan', E'Schéma thérapeutique', E'Therapeutisches Schema', E'Therapeutic plan', null, null, E'65');
SELECT esante.insert_code_description(E'DT-65002', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Protocol of distress', E'Protocole de détresse', E'Notprotokoll', E'Protocol of distress', null, null, E'65');
SELECT esante.insert_code_description(E'DT-65003', E'1.3.182.10.10.1', E'1.3.182.5.9', E'CR d''administration', E'CR d''administration', E'CR d''administration', null, null, null, E'65');
SELECT esante.insert_code_description(E'DT-70001', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Vaccinations', E'Vaccinations', E'Impfungen', E'Vaccinations', null, null, E'70');
SELECT esante.insert_code_description(E'DT-70002', E'1.3.182.10.10.1', E'1.3.182.5.9', E'Calendar of the vaccinations', E'Calendrier des vaccinations', E'Kalender der Impfungen', E'Calendar of the vaccinations\n', null, null, E'70');


/**** UPDATE THE SCRIPTNAME BELOW TO THE FILENAME OF THIS FILE !!!!!!!! *****/
INSERT INTO core.info (date, key, value) VALUES ('now', 'LAST_UPDATE', 'db_update_2.01.01_001.sql');